Start app installation

Starts the app installation using a token issued from Logpresso Store. If the same app is already installed, set the overwrite parameter to true to overwrite it.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

POST /api/sonar/apps/start-install
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -X POST -d token=<TOKEN> \
     https://HOSTNAME/api/sonar/apps/start-install
Request Parameters
KeyRequiredTypeDescriptionNotes
tokenYStringToken issued from Logpresso Store
overwriteNBooleanWhether to overwrite an existing appDefault: false, true or false

Success Response

HTTP status code 200 response

{
  "installable_status": {
    "app_code": "sample-app",
    "app_name": "Sample App",
    "version": "1.0.0",
    "vendor": "Logpresso",
    "description": "A sample app.",
    "installed": false
  }
}

Error Responses

token is missing or not in valid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "token should be guid type."
}
Install session has expired

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "main install session was expired : token-[a1b2c3d4-e5f6-7890-abcd-ef1234567890]"
}
Install step already proceeded

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "main install session alreay START_INSTALL_APP : token-[a1b2c3d4-e5f6-7890-abcd-ef1234567890] app symbol-[com.logpresso.sample.app]"
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}